%define upstream_name	 Net-IMAP-Simple
%define upstream_version 1.2034

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Simple IMAP interface to Perl 5	
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor)
BuildRequires: perl(Coro)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::Mail)
BuildRequires: perl(DateTime::Format::Strptime)
BuildRequires: perl(Email::Address)
BuildRequires: perl(Email::MIME) >= 1.862.0
BuildRequires: perl(Email::MIME::ContentType)
BuildRequires: perl(Email::Simple) >= 1.999.0
BuildRequires: perl(Encode::IMAPUTF7)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Select)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Net::SSLeay)
BuildRequires: perl(Net::Server::Coro) >= 0.300.0
BuildRequires: perl(Parse::RecDescent)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(Test::More)
BuildRequires: perl(UNIVERSAL::require)
BuildArch:  noarch

%description
Perl extension for simple IMAP account handling, 
mostly compatible with Net::POP.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes | %{__perl} Makefile.PL INSTALLDIRS=vendor 
%make

%check
# this test is hanging
rm -f t/07_select_and_examine.t 
%make test

%install
%{makeinstall_std}

%files
%doc Changes META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%{perl_vendorlib}/Net

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.203.400-2.mga3
+ Revision: 370634
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 1.203.400-1.mga3
+ Revision: 306446
- update to 1.2034

* Fri Feb 24 2012 jquelin <jquelin> 1.203.0-1.mga2
+ Revision: 213731
- update to 1.2030

* Thu Jan 05 2012 jquelin <jquelin> 1.202.710-1.mga2
+ Revision: 191237
- update to 1.20271

* Fri Oct 14 2011 jquelin <jquelin> 1.202.600-1.mga2
+ Revision: 154794
- update to 1.2026

* Mon Sep 26 2011 jquelin <jquelin> 1.202.500-1.mga2
+ Revision: 148476
- update to 1.2025
- update to 1.2024

* Wed Jun 15 2011 jquelin <jquelin> 1.202.300-1.mga2
+ Revision: 107203
- update to 1.2023

* Tue Apr 12 2011 jquelin <jquelin> 1.202.200-1.mga1
+ Revision: 83782
- update to 1.2022

* Tue Feb 22 2011 jquelin <jquelin> 1.202.0-1.mga1
+ Revision: 56708
- update to 1.2020

* Mon Jan 24 2011 jquelin <jquelin> 1.201.900-1.mga1
+ Revision: 37112
- mageia rebuild
- imported package perl-Net-IMAP-Simple

